<?php
if($_SERVER['REQUEST_METHOD'] == 'POST') {    
    require 'Zend/Filter/Interface.php';
    require './Vifito/Filter/Unhyphenate.php';
    
    $filter = new Vifito_Filter_Unhyphenate();
    
    echo '<h1>Unfiltered</h1>';	
    var_dump($_POST);
    
    $data = $filter->filter($_POST);
    
    echo '<h1>Filtered</h1>';
    var_dump($data);
    die();
}
?>

<!DOCTYPE HTML>
<html lang="en-US">
<head>
	<meta charset="UTF-8">
	<title>Vifito_Filter_Unhyphenate</title>
    
    <script type="text/javascript" src="jquery.min.js"></script>
</head>
<body>
	
    <h1>Lista con identificadores</h1>
	
    <ul>
        <li id="person-static-1">Person con id #1</li>		
		<li id="person-static-2">Person con id #2</li>
        <li id="person-static-3">Person con id #3</li>
		<li id="person-static-4">Person con id #4</li>
    </ul>
    
	<input type="text" id="txtData" value="" />
	<button type="button" id="btnAdd">Añadir</button>
    
    <button type="button" id="btnEnviar">Enviar</button>
    
    <div id="output"></div>
    
    
    <script type="text/javascript">
    $(document).ready(function() {
		var i = 5;
        
        $('button#btnEnviar').click(function() {
	        var data = [];
			
			$('ul > li').each(function() {
				data.push($(this).attr('id') + '=' + encodeURIComponent($(this).text()));
			});
			
            var sendData = data.join('&');
            console.log(sendData);
            
            $.ajax({
                type: 'POST',
                url: location.href,
                data: sendData,
                success: function(response, txtStatus, xhr) {
                    $('#output').html(response);
                }
            });
        });
		
		$('button#btnAdd').click(function() {
			var texto = $('#txtData').val();
			
			console.log(texto);
			
			if(texto != "") {
				$("ul").append('<li id="person-dynamic-' + i + '">' + texto + ' #' + i + '</li>');
				i++;
			}
		});
    });
    </script>
</body>
</html>

